#!/usr/bin/env node

// require modules
var path		= require('path');

// define global variable to reach all lib items
lib = {
	settings: 	require('./lib/functions/settings'),
	auth: 		require('./lib/functions/auth'),
	api: 		require('./lib/functions/api'),
	project:	require('./lib/functions/project')
};

// load formide-cli package.json
formideCliJson = require( path.join(__dirname, 'package.json') );

if (process.asCLI) {
	require('./lib/cli.js');
}
else {
	// only expose functions for use in GUI
	module.exports = lib;
}